Search Unity

  1. Get the latest news, tutorials and offers directly to your inbox with our newsletters. Sign up now.
    Dismiss Notice

Unity3D on Linux with Wine: Support thread

Discussion in 'Editor & General Support' started by wnk, Nov 15, 2013.

  1. Elijah Lynn

    Elijah Lynn

    Joined:
    Jul 22, 2015
    Posts:
    18
  2. deshmane

    deshmane

    Joined:
    Oct 16, 2015
    Posts:
    12


    i have install unity3d to above link
    but occur a following problem
    pls give me ans what was problem to my system





    Screenshot from 2015-10-17 11:34:06.png
     
  3. Pendrokar

    Pendrokar

    Joined:
    Mar 26, 2011
    Posts:
    95
  4. deshmane

    deshmane

    Joined:
    Oct 16, 2015
    Posts:
    12
    how to run .pol script on playonlinux
    and tell me about system configuration for unity 3d
    i have using ubuntu 14.04 LTS
     
  5. Sisso

    Sisso

    Joined:
    Sep 29, 2009
    Posts:
    195
    `imagine that I wrote a long text about .pol is not unity related, about wine is deprecated over linux version and you can save everyone time searching`

    "how to run .pol script on playonlinux" @ google, #3 link:

    http://playonlinux.wikia.com/wiki/My_first_script
     
  6. livingHamburger

    livingHamburger

    Joined:
    Feb 19, 2015
    Posts:
    13
  7. livingHamburger

    livingHamburger

    Joined:
    Feb 19, 2015
    Posts:
    13
    I also get this error trying to open the .deb for any version of the native linux editor
     
  8. gnumaru

    gnumaru

    Joined:
    Dec 26, 2013
    Posts:
    20
    Has anyone succeeded in running unity 5.3.0 and above with wine, be it with or without playonlinux?

    unity 5.2.4 install and runs fine with wine 1.8 needing only the installation of the microsoft core fonts. But from version 5.3.0 onwards I'm not able to pass the start screen, where one should chose wether to open an existing project or create a new. The installation goes smoothly, but the start screen remains an empty gray screen. It seems exactly like a bug that showed on native windows installations, wich was discussed here:

    http://forum.unity3d.com/threads/unity3d-5-3-not-working.372682/

    Unfortunately, their solution (to people running unity under windows) was not enough to make it work for me (running it through wine).

    for the time being, using the windows version under wine is a lot more stable than using the experimental linux native version, thus it would be more interesting to continue using the most up-to-date unity version under wine while waiting for the native version to reach a slightly more stable state.

    As for the native linux editor, there is now a forum session dedicated to it here:

    http://forum.unity3d.com/forums/linux-editor-support-feedback-experimental.93/

    It would be best if questions regarding the linux native editor be posted there.
     
  9. Tsobrecarey

    Tsobrecarey

    Joined:
    Nov 24, 2015
    Posts:
    1
    Hi All,

    how do you set the script editor of Unity 5.2.0 that is running using wine with Sublime 2 that is installed on my Ubuntu 14.04.
     
  10. gamesbx

    gamesbx

    Joined:
    Sep 28, 2018
    Posts:
    3
    I can't run Unity3d on chrome and firefox? Do you know?
     
unityunity